List Consignment Shipping Quotes
Get all shipping quotes persisted on an order for a shipping consignment. This is a read-only endpoint whose response depends on the shipping quote. You can only generate a shipping quote using the storefront at this time. Orders that are created in the control panel, or using the API, return a 204 status response since you can’t generate a shipping quote during that process.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Orders | modify | `store_v2_orders` |
| Orders | read-only | `store_v2_orders_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
order_id
ID of the order.
shipping_consignment_id
Shipping consignment ID.
Response
OK
id
ID of the shipping quote.
uuid
UUID of the shipping quote.
timestamp
Time the order was created in RFC 2822 format.
shipping_provider_id
ID of the shipping provider.
shipping_provider_quote
This can vary based on the shipping provider. Manual shipping methods such as fixed will return an empty array. Shipping providers such as UPS will return an object with the shipping information. Since the shipping quote is tied to a shipping address only one quote will return in the response.
provider_code
Code of the shipping provider.
carrier_code
Code of the shipping carrier.
rate_code
Type of delivery. This can vary based on shipping quote.
rate_id
This can vary based on shipping quote.
method_id
Shipping method ID
Errors
404
Not Found Error